Package wx :: Package lib :: Package masked :: Module ipaddrctrl :: Class IpAddrCtrl

[frames | no frames]

## Type IpAddrCtrl

               MaskedEditMixin --+
                                 |
    object --+                   |
             |                   |
        Object --+               |
                 |               |
        EvtHandler --+           |
                     |           |
                Window --+       |
                         |       |
                   Control --+   |
                             |   |
                      TextCtrl --+
                                 |
                BaseMaskedTextCtrl --+
                                     |
          IpAddrCtrlAccessorsMixin --+
                                     |
                                    IpAddrCtrl

This class is a particular type of MaskedTextCtrl that accepts and understands the semantics of IP addresses, reformats input as you move from field to field, and accepts '.' as a navigation character, so that typing an IP address can be done naturally.

Method Summary
| `__init__(self, parent, id, value, pos, size, style, validator, name, setupEventHandling, **kwargs)`
| ``GetAddress`(self)` Returns the control value, with any spaces removed.
| ``OnDot`(self, event)` Defines what action to take when the '.' character is typed in the control.
| ``SetValue`(self, value)` Takes a string value, validates it for a valid IP address, splits it into an array of 4 fields, justifies it appropriately, and inserts it into the control.

Property Summary

Class Variable Summary

Instance Method Details

### GetAddress(self)

Returns the control value, with any spaces removed.

### OnDot(self, event)

Defines what action to take when the '.' character is typed in the control. By default, the current field is right-justified, and the cursor is placed in the next field.

### SetValue(self, value)

Takes a string value, validates it for a valid IP address, splits it into an array of 4 fields, justifies it appropriately, and inserts it into the control. Invalid values will raise a ValueError exception.

  Overrides:
    `wx.lib.masked.textctrl.BaseMaskedTextCtrl.SetValue`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:36 2007 | http://epydoc.sf.net